// -----------------
// FolderBrowseDlg.h
// -----------------
/**
* @file
* @brief Re: CFolderBrowseDlg
* @author Achim Klein
* @version 0.1
*/


// -------------------
// One-Definition-Rule
// -------------------
#ifndef FOLDERBROWSEDLG_H_INCLUDE_NR1
#define FOLDERBROWSEDLG_H_INCLUDE_NR1


// -------
// Pragmas
// -------
#if _MSC_VER > 1000
#pragma once
#endif


// ----------------------------------------
// Definition of the CFolderBrowseDlg class
// ----------------------------------------
/**
 * The main window.
 */
class CFolderBrowseDlg : public CDialog
{

public:

	// ------------
	// Construction
	// ------------

	/// standard-constructor
	CFolderBrowseDlg(CWnd* pParent = NULL);


	// -----------
	// Dialog Data
	// -----------
	//{{AFX_DATA(CFolderBrowseDlg)
	enum { IDD = IDD_FOLDERBROWSE_DIALOG };
	CString	m_folder;
	//}}AFX_DATA


	// --------------------------
	// Overloaded virtual methods
	// --------------------------
	//{{AFX_VIRTUAL(CFolderBrowseDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL


protected:

	// ----------------
	// Internal methods
	// ----------------

	/// moves the controls on sizing
	void doMoveControls();


	// ----------
	// Attributes
	// ----------

	// the application's icon
	HICON m_hIcon;


	// ---------------------
	// Message map functions
	// ---------------------
	//{{AFX_MSG(CFolderBrowseDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBrowse();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};


#endif	// #ifndef FOLDERBROWSEDLG_H_INCLUDE_NR1
